package com.ruoyi.ibs.task.service;


import com.ruoyi.ibs.task.domain.dto.MarketTaskDTO;
import com.ruoyi.ibs.task.domain.entity.MarketTask;
import com.ruoyi.ibs.task.domain.vo.MarketTaskVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 营销任务Service接口
 *
 */
public interface MarketTaskService {

    String createMarketTaskAsync(MarketTaskDTO marketTaskDTO,MultipartFile file);

    String getCreateStatus(String id);

    String editMarketTask(MarketTask marketTask,MultipartFile file);

    List<MarketTaskVO> getMarketTasks(String marketTaskName);
}
